Package org.eclipse.microprofile.openapi.models.media

## Interface XML

All Superinterfaces:
  `Constructible`, `Extensible<XML>`

    public interface XML
    extends Constructible, Extensible<XML>

A metadata object that allows for more fine-tuned XML model definitions. When using arrays, XML element names are not inferred (for singular/plural forms) and the name property SHOULD be used to add that information.

See Also:
  XML Object

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default XML` `attribute​(Boolean attribute)` This method sets the attribute property of XML instance to the given Boolean argument and returns the modified instance.
`Boolean` `getAttribute()` This method returns the attribute property of XML instance.
`String` `getName()` This method returns the name property from XML instance.
`String` `getNamespace()` This method returns the namespace property of XML instance.
`String` `getPrefix()` This method returns the prefix property of XML instance.
`Boolean` `getWrapped()` This method returns the wrapped property of XML instance.
`default XML` `name​(String name)` This method sets the name property of XML instance to the given String argument and returns the modified instance.
`default XML` `namespace​(String namespace)` This method sets the namespace property of XML instance to the given String argument and returns the modified instance.
`default XML` `prefix​(String prefix)` This method sets the prefix property of XML instance to the given String argument and returns the modified instance.
`void` `setAttribute​(Boolean attribute)` This method sets the attribute property of XML instance to the given Boolean argument.
`void` `setName​(String name)` This method sets the name property of XML instance to the given String argument.
`void` `setNamespace​(String namespace)` This method sets the namespace property of XML instance to the given String argument.
`void` `setPrefix​(String prefix)` This method sets the prefix property of XML instance to the given String argument.
`void` `setWrapped​(Boolean wrapped)` This method sets the wrapped property of XML instance to the given Boolean argument.
`default XML` `wrapped​(Boolean wrapped)` This method sets the wrapped property of XML instance to the given Boolean argument and returns the modified instance.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Method Detail

#### getName

    String getName()

This method returns the name property from XML instance.

The name property replaces the name of the element/attribute used for the described schema property.

Returns:
  String name

#### setName

    void setName​(String name)

This method sets the name property of XML instance to the given String argument.

The name property replaces the name of the element/attribute used for the described schema property.

Parameters:
  `name` - the name of this XML instance

#### name

    default XML name​(String name)

This method sets the name property of XML instance to the given String argument and returns the modified instance.

The name property replaces the name of the element/attribute used for the described schema property.

Parameters:
  `name` - the name of this XML instance
Returns:
  XML instance with the set name property

#### getNamespace

    String getNamespace()

This method returns the namespace property of XML instance.

The namespace property is the URI of the namespace definition. Value MUST be in the form of an absolute URI.

Returns:
  String namespace

#### setNamespace

    void setNamespace​(String namespace)

This method sets the namespace property of XML instance to the given String argument.

The namespace property is the URI of the namespace definition. Value MUST be in the form of an absolute URI.

Parameters:
  `namespace` - the URI of the namespace definition

#### namespace

    default XML namespace​(String namespace)

This method sets the namespace property of XML instance to the given String argument and returns the modified instance.

The namespace property is the URI of the namespace definition. Value MUST be in the form of an absolute URI.

Parameters:
  `namespace` - the URI of the namespace definition
Returns:
  XML instance with the set namespace property

#### getPrefix

    String getPrefix()

This method returns the prefix property of XML instance.

This property is a String prefix to be used for the name.

Returns:
  String prefix

#### setPrefix

    void setPrefix​(String prefix)

This method sets the prefix property of XML instance to the given String argument.

This property is a String prefix to be used for the name.

Parameters:
  `prefix` - string prefix to be used with the name

#### prefix

    default XML prefix​(String prefix)

This method sets the prefix property of XML instance to the given String argument and returns the modified instance.

This property is a String prefix to be used for the name.

Parameters:
  `prefix` - string prefix to be used with the name
Returns:
  XML instance with the set prefix property

#### getAttribute

    Boolean getAttribute()

This method returns the attribute property of XML instance.

Attribute property declares whether the property definition translates to an attribute instead of an element. Default value is FALSE.

Returns:
  Boolean attribute

#### setAttribute

    void setAttribute​(Boolean attribute)

This method sets the attribute property of XML instance to the given Boolean argument.

Attribute property declares whether the property definition translates to an attribute instead of an element. Default value is FALSE.

Parameters:
  `attribute` - a boolean that declares whether the property definition translates to an attribute instead of an element

#### attribute

    default XML attribute​(Boolean attribute)

This method sets the attribute property of XML instance to the given Boolean argument and returns the modified instance.

Attribute property declares whether the property definition translates to an attribute instead of an element. Default value is FALSE.

Parameters:
  `attribute` - a boolean that declares whether the property definition translates to an attribute instead of an element
Returns:
  XML instance with the set attribute property

#### getWrapped

    Boolean getWrapped()

This method returns the wrapped property of XML instance.

Wrapped property MAY be used only for an array definition. Signifies whether the array is wrapped. The definition takes effect only when defined alongside type being array. Default value is FALSE.

Returns:
  Boolean wrapped

#### setWrapped

    void setWrapped​(Boolean wrapped)

This method sets the wrapped property of XML instance to the given Boolean argument.

Wrapped property MAY be used only for an array definition. Signifies whether the array is wrapped. The definition takes effect only when defined alongside type being array. Default value is FALSE.

Parameters:
  `wrapped` - a boolean that signifies whether the array is wrapped

#### wrapped

    default XML wrapped​(Boolean wrapped)

This method sets the wrapped property of XML instance to the given Boolean argument and returns the modified instance.

Wrapped property MAY be used only for an array definition. Signifies whether the array is wrapped. The definition takes effect only when defined alongside type being array. Default value is FALSE.

Parameters:
  `wrapped` - a boolean that signifies whether the array is wrapped
Returns:
  XML instance with the set wrapped property